1. Message
  • Getting Started
    • Introduction
    • Quickstart
    • Authentication
    • Status codes
  • Webhook
    • Webhook Setup
    • Webhook Events and Schema
  • API Reference
    • Contact
      • Listing
      • Create
      • Filter By SocialPlatformId
      • Form Fields
      • Detail
      • Update
      • Delete
      • Fetch Contact Groups
      • Update tags
    • Tag
      • Listing
    • Channel
      • Listing
      • Create
    • Ticket
      • Listing
      • Create
      • Filter by Contact ID
      • Form Fields
      • Update
      • Update status
    • Category
      • Listing
    • CxLog
      • Listing
    • Message
      • Send message
        POST
      • Create comments
        POST
      • Get Comments
        GET
    • Media Manager
      • Get Folders
      • Get Folder By ID
      • Create Folder
      • Update Folder
      • Delete Folder
      • Get Files
      • Get File By ID
      • Create File
      • Update File
      • Delete File
    • Agent Activity
      • Get Agents Activities
Blog
Github
  1. Message

Send message

POST
/api/v1/messages/send
This endpoint allows you to send an outgoing message to a specific contact via the Klink platform.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Body

🟠400
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location --request POST 'https://apigw.klinkcx.com/api/v1/messages/send' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "contactId": "81d8f399-e4d3-4fd4-a8ec-61bb3c3dc8c4",
    "messageType": "text",
    "message": "It is your message.",
    "createdAt": "2026-01-08T16:03:39.923Z"
}'
Response Response Example
200 - Success
{
    "status": 200,
    "message": "Message sent successfully",
    "data": {
        "id": "0b01ac59-81b4-436f-9b36-8ad40e0761f7",
        "createdAt": "2026-02-20T11:46:31.61603869Z",
        "updatedAt": "2026-02-20T11:46:31.61603869Z",
        "deletedAt": null,
        "clientRequestId": "",
        "partition_key": "2026_02",
        "message": "",
        "direction": "outgoing",
        "type": "image",
        "readAt": null,
        "metadata": {},
        "platformId": "614318778436396",
        "platformMessageId": "m_mzGEtSseyHjNuahzh0kqvZphJxcgEGdTfCuMgYD8ikTs5F8tYuWSSXmbdjJ2P53vKyWenEmg9kG_wvEtQAi8nQ",
        "replyPlatformMessageId": null,
        "replyReaction": null,
        "linkMessageId": null,
        "linkMessagePartitionKey": null,
        "template": null,
        "locale": "",
        "url": "",
        "previewUrl": "",
        "imageSetId": "",
        "roomId": "dcccf921-dd40-4c49-8c8d-f755ee157ff1",
        "room": {},
        "actorId": null,
        "actorType": "api",
        "actor": null,
        "uploadId": "0dfde389-2314-4ba2-bf10-27112fdaa9d3",
        "upload": {
            "createdAt": "2026-02-20T11:46:36.121295122Z",
            "updatedAt": "2026-02-20T11:46:36.136286748Z",
            "deletedAt": null,
            "fileName": "red-pixel.png",
            "fileSize": 70,
            "originalUrl": "",
            "fileUrl": "https://cdn.klink.cloud/media-manager/038ec0fe-9ea9-4050-8c77-67b802663f43/3dc8ede4-72e3-4c58-bfc0-4d278aacbfa0/red-pixel.png?response-content-disposition=attachment&Expires=1866195996&Signature=YJBUtXXxTG8iT~p9HyX4Xut5zWmVa9YfpyEKbD6ljfvCp4BHmO3ASFR1uVhMdSd~tItjMm65y2EKw2OoRqGA~nqjCBSnn4YsrlOoiy5XBAAucSwFRRhirVnI5v8sr3yQhxAKthwZl0wjh2G4tUio1mixJnTub~UsR8KhIreiQu9NrkwMMhJ-b8hQ~YXvigmcA4LAVD6I3lz2PnIe~~Q2GA3us7lnwxXXgD1fpudGNwHDcP8C0~wzQktTPyV8yW2Aw3FRgC47zhoLdzWpgK4GPVnDY5px3mLy-AfoBzpuHIbIvPsXccf6qzVYPIsN~4YgxOROq8sDT0E12-0MpHU37A__&Key-Pair-Id=K2HIX5T4LSGPEG"
        },
        "senderId": null,
        "workflowRule": null,
        "assigneeId": null,
        "assignee": null,
        "repliedMessage": null,
        "editedMessageId": null,
        "editedMessagePartitionKey": null,
        "editedMessage": null,
        "isEdited": false,
        "editedAt": null,
        "label": "",
        "contactId": null,
        "receiverMetadata": null,
        "attachments": null
    }
}
Modified at 2026-03-13 02:03:23
Previous
Listing
Next
Create comments
Built with